Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
DHTML_Calendar Class Reference

## Public Member Functions
| DHTML_Calendar ($calendar_lib_path='/calendar/', $lang='en', $theme='calendar-win2k-1', $stripped=true)
| set_option ($name, $value)
| load_files ()
| get_load_files_code ()
| _make_calendar ($other_options=array())
| make_input_field ($cal_options=array(), $field_attributes=array())
| _field_id ($id)
| PRIVATE SECTION. More...
| _trigger_id ($id)
| _gen_id ()
| _make_js_hash ($array)
| _make_html_attr ($array)
| DHTML_Calendar ($calendar_lib_path='/calendar/', $lang='en', $theme='calendar-win2k-1', $stripped=true)
| set_option ($name, $value)
| load_files ()
| get_load_files_code ()
| _make_calendar ($other_options=array())
| make_input_field ($cal_options=array(), $field_attributes=array())
| _field_id ($id)
| PRIVATE SECTION. More...
| _trigger_id ($id)
| _gen_id ()
| _make_js_hash ($array)
| _make_html_attr ($array)

## Public Attributes
| $calendar_lib_path
| $calendar_file
| $calendar_lang_file
| $calendar_setup_file
| $calendar_theme_file
| $calendar_options

## Detailed Description

Definition at line 16 of file ecommerce/jscalendar/calendar.php.

## Member Function Documentation

## ◆ _field_id() [1/2]

DHTML_Calendar::_field_id | ( |  | $id | ) |

PRIVATE SECTION.

Definition at line 92 of file ecommerce/jscalendar/calendar.php.

References $id.

Referenced by make_input_field().

## ◆ _field_id() [2/2]

DHTML_Calendar::_field_id | ( |  | $id | ) |

PRIVATE SECTION.

Definition at line 92 of file standard/jscalendar/calendar.php.

References $id.

## ◆ _gen_id() [1/2]

DHTML_Calendar::_gen_id | ( |  | ) |

Definition at line 94 of file ecommerce/jscalendar/calendar.php.

References $id.

Referenced by make_input_field().

## ◆ _gen_id() [2/2]

DHTML_Calendar::_gen_id | ( |  | ) |

Definition at line 94 of file standard/jscalendar/calendar.php.

References $id.

## ◆ _make_calendar() [1/2]

DHTML_Calendar::_make_calendar | ( |  | $other_options = `array()` | ) |

Definition at line 67 of file ecommerce/jscalendar/calendar.php.

References _make_js_hash().

Referenced by make_input_field().

## ◆ _make_calendar() [2/2]

DHTML_Calendar::_make_calendar | ( |  | $other_options = `array()` | ) |

Definition at line 67 of file standard/jscalendar/calendar.php.

References _make_js_hash().

## ◆ _make_html_attr() [1/2]

DHTML_Calendar::_make_html_attr | ( |  | $array | ) |

Definition at line 110 of file ecommerce/jscalendar/calendar.php.

Referenced by make_input_field().

## ◆ _make_html_attr() [2/2]

DHTML_Calendar::_make_html_attr | ( |  | $array | ) |

Definition at line 110 of file standard/jscalendar/calendar.php.

## ◆ _make_js_hash() [1/2]

DHTML_Calendar::_make_js_hash | ( |  | $array | ) |

Definition at line 96 of file ecommerce/jscalendar/calendar.php.

Referenced by _make_calendar().

## ◆ _make_js_hash() [2/2]

DHTML_Calendar::_make_js_hash | ( |  | $array | ) |

Definition at line 96 of file standard/jscalendar/calendar.php.

## ◆ _trigger_id() [1/2]

DHTML_Calendar::_trigger_id | ( |  | $id | ) |

Definition at line 93 of file ecommerce/jscalendar/calendar.php.

References $id.

Referenced by make_input_field().

## ◆ _trigger_id() [2/2]

DHTML_Calendar::_trigger_id | ( |  | $id | ) |

Definition at line 93 of file standard/jscalendar/calendar.php.

References $id.

## ◆ DHTML_Calendar() [1/2]

DHTML_Calendar::DHTML_Calendar | ( |  | $calendar_lib_path = `'/calendar/'`,
|  |  | $lang = `'en'`,
|  |  | $theme = `'calendar-win2k-1'`,
|  |  | $stripped = `true`
| ) |  |

Definition at line 25 of file ecommerce/jscalendar/calendar.php.

References $calendar_lib_path, and $lang.

## ◆ DHTML_Calendar() [2/2]

DHTML_Calendar::DHTML_Calendar | ( |  | $calendar_lib_path = `'/calendar/'`,
|  |  | $lang = `'en'`,
|  |  | $theme = `'calendar-win2k-1'`,
|  |  | $stripped = `true`
| ) |  |

Definition at line 25 of file standard/jscalendar/calendar.php.

References $calendar_lib_path, and $lang.

## ◆ get_load_files_code() [1/2]

DHTML_Calendar::get_load_files_code | ( |  | ) |

Definition at line 51 of file ecommerce/jscalendar/calendar.php.

References NEWLINE.

Referenced by load_files().

## ◆ get_load_files_code() [2/2]

DHTML_Calendar::get_load_files_code | ( |  | ) |

Definition at line 51 of file standard/jscalendar/calendar.php.

References NEWLINE.

## ◆ load_files() [1/2]

DHTML_Calendar::load_files | ( |  | ) |

Definition at line 47 of file ecommerce/jscalendar/calendar.php.

References get_load_files_code().

## ◆ load_files() [2/2]

DHTML_Calendar::load_files | ( |  | ) |

Definition at line 47 of file standard/jscalendar/calendar.php.

References get_load_files_code().

## ◆ make_input_field() [1/2]

DHTML_Calendar::make_input_field | ( |  | $cal_options = `array()`,
|  |  | $field_attributes = `array()`
| ) |  |

Definition at line 75 of file ecommerce/jscalendar/calendar.php.

References $id, $options, _field_id(), _gen_id(), _make_calendar(), _make_html_attr(), and _trigger_id().

## ◆ make_input_field() [2/2]

DHTML_Calendar::make_input_field | ( |  | $cal_options = `array()`,
|  |  | $field_attributes = `array()`
| ) |  |

Definition at line 75 of file standard/jscalendar/calendar.php.

References $id, $options, _field_id(), _gen_id(), _make_calendar(), _make_html_attr(), and _trigger_id().

## ◆ set_option() [1/2]

DHTML_Calendar::set_option | ( |  | $name,
|  |  | $value
| ) |  |

Definition at line 43 of file ecommerce/jscalendar/calendar.php.

References $name.

## ◆ set_option() [2/2]

DHTML_Calendar::set_option | ( |  | $name,
|  |  | $value
| ) |  |

Definition at line 43 of file standard/jscalendar/calendar.php.

References $name.

## Member Data Documentation

## ◆ $calendar_file

DHTML_Calendar::$calendar_file

Definition at line 19 of file ecommerce/jscalendar/calendar.php.

## ◆ $calendar_lang_file

DHTML_Calendar::$calendar_lang_file

Definition at line 20 of file ecommerce/jscalendar/calendar.php.

## ◆ $calendar_lib_path

DHTML_Calendar::$calendar_lib_path

Definition at line 17 of file ecommerce/jscalendar/calendar.php.

Referenced by DHTML_Calendar().

## ◆ $calendar_options

DHTML_Calendar::$calendar_options

Definition at line 23 of file ecommerce/jscalendar/calendar.php.

## ◆ $calendar_setup_file

DHTML_Calendar::$calendar_setup_file

Definition at line 21 of file ecommerce/jscalendar/calendar.php.

## ◆ $calendar_theme_file

DHTML_Calendar::$calendar_theme_file

Definition at line 22 of file ecommerce/jscalendar/calendar.php.

The documentation for this class was generated from the following file:

- ecommerce/jscalendar/calendar.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.